Haberler

Meriç - Diğer bir paket yönetim yardımcısı

tarakbumba · 8754

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı tarakbumba

    • İleti: 252
Merhaba, yaklaşık bir aydır ünlü "packer" üzerinde kendi ihtiyaçlarımı karşılamaya yönelik değişiklikler yapıyordum. Bugün artık son aşamaya geldim ve toplulukla üzerinde çalıştığım yeni bir uygulamayı paylaşmaya karar verdim.



Meriç, GNU GPL v3 lisansı ile yayınladığım bir packer (yazarı Matthew Bruenig <matthewbruenig@gmail.com>) çatallamasıdır. Packer' in sahip olduğu niteliklerin yanında bazı ek özellikler de ekledim:

  • Öncelikle Meriç, paket kurulumu ve/veya derlemesi sırasında kurulan bağımlılıkları tıpkı "makepkg -r" komutu gibi kaldırma yeteneğine sahiptir. (--cleandeps anahtarı kullanılarak)


  • Meriç, kendisine ait bir yapılandırma dosyasını kullanır. Bu dosya isterseniz sistem geneli kullanım için /etc/meric.conf veya sadece kullanıcı için ~.config/meric/meric.conf olarak sistemde yer almalıdır. Bu yapılandırma dosyasında, Meriç' in gerek paket derleme sırasında, gerekse pacman ile yaptığı işlemler sırasında ön tanımlı olarak kullanmasını istediğiniz seçenekleri tutabilirsiniz. Mesela, yukarıda bahsettiğim "--cleandeps" anahtarını her seferinde meric komutuna eklemek yerine; yapılandırma dosyasında ayarlayarak her zaman otomatik olarak kullanılmasını sağlayabilirsiniz.


  • Meriç, pacman.conf içerisinde tanımlı depolardan birinin veya birkaçının kullanılmamasını sağlayabilir. (--skip-repo anahtarı ile) Bu özellikle, AUR üzerinden derlediğiniz paketlerle kişisel bir depo oluşturduğunuzda işe yarayacaktır. Çünkü denediğim bütün AUR yardımcıları, packer de dahil, bir depo içerisinde gözüken paketleri AUR üzerinden güncellemiyorlar. İşte Meriç, buna bir çözüm sunuyor.


  • Meriç, isterseniz farklı bir pacman.conf dosyası kullanmanıza izin verir. Ancak bu dosya mutlaka ~.config/meric/ dizini altında yer almalıdır.


  • Benim için en önemli olan özellik ise Meriç' in çevirilere izin vermesidir. Yani şu an için Türkçe ve İngilizce konuşabildiği gibi umarım ileride daha fazla dil ile de iletişim kurabilecektir. Bağımlılıkları ve diskte kullanılan yeri azaltmak amacıyla çeviriler için gettext kullanmak yerine bash betik diline uygun ve bash biçiminde tek bir dil dosyası kullanır.


Umarım, bu uygulamayı dener, geri bildirimde bulunur ve seversiniz. Saygılar...



Git bağlantısı : https://github.com/tarakbumba/meric

AUR bağlantısı : https://aur.archlinux.org/packages.php?ID=59946
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Çevrimdışı cumali

  • Administrator
  • *****
    • İleti: 2.228
Yanıtla #1 : 11 Haziran 2012 - 17:14:51
Siz paket yaparsınızda biz denemezmiyiz? İstediginizde bu olsun. Denedim sorunsuz şimdilik. Bende yeni kullanmaya başlayanlara ufakda olsa ip ucu vereyim. Meric ile kurulum yapmak için uçbirimden


Kod: [Seç]
meric -S paket adı

komutu uygulanmalıdır. Ellerinize sağlık.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Yanıtla #2 : 11 Haziran 2012 - 17:21:12
http://archtr.org/forum/viewtopic.php?f=11&t=323" class="bbc_link" target="_blank">http://http://archtr.org/forum/viewtopic.php?f=11&t=323 Burada da bahsettiğim üzere:
Kod: [Seç]
packer -S nvidia-bumblebee
ile kuramıyordum.


Kod: [Seç]
[yfdogan@bridge ~]$ meric -S nvidia-bumblebee

Aur Hedefleri    (1): nvidia-bumblebee

Kuruluma devam edilsin mi? [E/h] e
[yfdogan@bridge ~]$

Sizin meric hemencecik kuruverdi herhalde bu çıktıya göre değil mi?
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Çevrimdışı cumali

  • Administrator
  • *****
    • İleti: 2.228
Yanıtla #3 : 11 Haziran 2012 - 17:29:03
Şöyle bir denesen
Kod: [Seç]
#meric -S nvidia-bumblebee
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Yanıtla #4 : 11 Haziran 2012 - 17:32:03
Kod: [Seç]
[root@bridge yfdogan]# meric -S nvidia-bumblebee

Aur Hedefleri    (1): nvidia-bumblebee

Kuruluma devam edilsin mi? [E/h] e
[root@bridge yfdogan]#

Aynı sonuç. Az kaldı dizüstünde çay demlerim bu ısınmayla. Bir bölümüne bugün Sabayon 9 KDE kurdum ve ısı 53-54 dereceyi geçmiyor. Bridge te KDE masaüstü şimdi 66 derece.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Çevrimdışı cumali

  • Administrator
  • *****
    • İleti: 2.228
Yanıtla #5 : 11 Haziran 2012 - 17:35:19
Isınma konusu başka bir şey. Yalnız meric görevini başarı ile yapıyor. Bende bağımlılık sağlanamadığı için kurulmadı.


Kod: [Seç]
[root@Archtrorg cuma]# meric -S nvidia-bumblebee

Aur Hedefleri    (2): nvidia-utils-bumblebee nvidia-bumblebee
Pacman Hedefleri (1): linux-headers

Kuruluma devam edilsin mi? [E/h]

paket bağımlılıkları çözümleniyor...
varsa paketler arası çakışmalara bakılıyor...

Hedefler (1): linux-headers-3.3.8-1

Toplam İndirme Boyutu:    4,70 MiB
Toplam Kaplayacağı Alan:   45,18 MiB

Kuruluma onay veriyor musunuz? [E/h]
:: paketler core deposundan alınıyor...
 linux-headers-3.3.8...     4,7 MiB   210K/s 00:23 [######################] 100%
(1/1) paket bütünlüğü kontrol ediliyor             [######################] 100%
(1/1) paket dosyaları yükleniyor                   [######################] 100%
(1/1) dosya çakışmaları kontrol ediliyor           [######################] 100%
(1/1) disk alanı kontrol ediliyor                  [######################] 100%
(1/1) yükleniyor linux-headers                     [######################] 100%


ve son satırda


Kod: [Seç]
==> package() işlemine başlanıyor...
==> Kurulum düzenleniyor...
  -> İstenmeyen dosyalar kaldırılıyor...
  -> Kılavuz ve bilgi sayfaları sıkıştırılıyor...
==> Paket oluşturuluyor...
  -> .PKGINFO dosyası üretiliyor...
  -> Paket sıkıştırılıyor...
==> nvidia-utils-bumblebee 295.53-1 (Pzt Haz 11 17:35:25 EEST 2012) paketinin derlenmesi tamamlandı
HATA : `' paketinin bağımlılıkları karşılanamadı, paketleme yapılmayacak...
[root@Archtrorg cuma]#
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Yanıtla #6 : 11 Haziran 2012 - 17:41:56
Isınma derken sözkonusu meric değil zaten :). nvidia-bumblebee yükleyemememden kaynaklanan bir sıkıntı. Yukarıdaki bağlantıda verdim çıktı sonuçlarını.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Çevrimdışı hsngrms

    • İleti: 1.707
Yanıtla #7 : 11 Haziran 2012 - 19:42:41
@tarakbumba ellerine emeğine sağlık, packer'ın Türkçe versiyonu olması bile tebrik etmek için yeterliyken ek özellikler katmışsın helal olsun. :)



Kurdum ve denedim, packer'ın yerine de kullanacağım, yerli projelerimize destek vermek gerek.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Çevrimdışı proton

    • İleti: 208
Yanıtla #8 : 11 Haziran 2012 - 20:55:05
@tarakbumba elinize sağlık.



Packer da varmı bilmiyorum ama meric de -Ql, Qs ve -Qdt gibi sorgu seçenekleri yok görünüyor.


Alıntı
meric --help

Kullanımı: meric [seçenek] [paket] [paket] [...]



   -S             - paket kurar

   -Syu|-Su       - tüm paketleri günceller; ayrıca -uu ve -yy seçeneklerini de alır

   -Syua|-Sua     - tüm paketleri Aur paketleri de dahil olmak üzere günceller; ayrıca -uu ve -yy seçeneklerini de alır

   -Ss|-Ssq       - bir paketi sorgular

   -Si            - paket ile ilgili bilgileri görüntüler

   -G             - Aur üzerinden tar arşivini indirir ve açar



   --quiet        - aramalarda sadece paket ismini görüntüler

   --ignore       - araları virgülle ayrılmış olarak verilen paketleri atlar

   --noconfirm    - herhangi bir onaylama sorusu sormaz

   --noedit       - dosyaları düzenlemeyi sormaz

   -a|--auronly   - sadece Aur üzerinde işlemler yapar

   --devel        - Paket yükseltme sırasında geliştirme paketlerini de günceller

   --skipinteg    - makepkg kullanılırken md5 sağlaması yapılmaz

   --cleandeps    - paket derleme sonunda kurulan bağımlılıkları kaldırır

   --skip-repo    - virgülle ayrılmış olarak verilen depoları atlar

   -h|--help      - bu yardım iletisini görüntüler

   -v|--version   - Meriç' in kurulu sürümünü görüntüler.

  Yukarıdaki seçenekler tüm sistem için "/etc/meric.conf" veya sadece kullanıcı için "~/.config/meric/meric.conf"

  yapılandırma dosyasında ayarlayabilirsiniz.

  Ayrıca, pacman ile kullanılmak üzere kişiselleştirdiğiniz bir "~/.config/meric/pacman.conf dosyası oluşturabilirsiniz.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

irc: #archtr

Motorola Atrix: cm7.2


Çevrimdışı hsngrms

    • İleti: 1.707
Yanıtla #9 : 11 Haziran 2012 - 21:19:39
packer'da da o komutlar yok. pacman yetiyor o komutlar için (AUR paketleri de çıktılara dahil olduğundan :) )



Yine de ihtiyacım var diyorsan şunları dene; Qml, Qms ve -Qmdt



Düzenleme: Qml, Qmdt işe yarıyor ama Qms gereğinden fazla sonuç sunuyor. :)
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Çevrimdışı tarakbumba

    • İleti: 252
Yanıtla #10 : 11 Haziran 2012 - 22:22:28
Belki pacman'in -Q ve -R anahtarları ile ilgili işlemleri meriç' e ekleyebilirim ileride ama şimdilik düşünmüyorum.



Yfdoğan, karşılaştığın sorunu düzelttim. Sorun çeviri ile ilgili bir sorundu. Git deposundan sadece "meric" ana betiğini indirip deneyebilir misin?
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Yanıtla #11 : 12 Haziran 2012 - 15:19:22
Üstad ben meric i kullanamıyorum :


Kod: [Seç]
[yfdogan@bridge ~]$ meric -S istanbul

Aur Hedefleri    (1): istanbul
Pacman Hedefleri (3): gnome-python-extras intltool python-xlib

Kuruluma devam edilsin mi? [E/h] e
[yfdogan@bridge ~]$ packer -S istanbul

Aur Targets    (1): istanbul
Pacman Targets (3): gnome-python-extras intltool python-xlib

Proceed with installation? [Y/n] y
hata: işlem (veritabanı kilitlenemiyor) başlatılamadı
hata: veritabanı kilitlenemiyor: Dosya var
  eğer paket yöneticisinin çalışmadığından eminseniz
  /var/lib/pacman/db.lck dosyasını silebilirsiniz.
Installation failed.
[yfdogan@bridge ~]$ sudo rm /var/lib/pacman/db.lck
[yfdogan@bridge ~]$ packer -S istanbul

Aur Targets    (1): istanbul
Pacman Targets (3): gnome-python-extras intltool python-xlib

Proceed with installation? [Y/n] y
paket bağımlılıkları çözümleniyor...
varsa paketler arası çakışmalara bakılıyor...

Hedefler (8): libgtkhtml-2.11.1-4  python2-egg-2.25.3-12
              python2-gksu2-2.25.3-12  python2-gtkhtml2-2.25.3-12
              python2-gtkspell-2.25.3-12  gnome-python-extras-2.25.3-12
              intltool-0.50.2-1  python-xlib-0.15rc1-5

Toplam İndirme Boyutu:    0,34 MiB
Toplam Kaplayacağı Alan:   2,32 MiB

Kuruluma onay veriyor musunuz? [E/h]
:: paketler extra deposundan alınıyor...
 python2-egg-2.25.3-...    32,9 KiB  19,3K/s 00:02 [#######################] 100%
 python2-gksu2-2.25....     6,3 KiB  12,0K/s 00:01 [#######################] 100%
 libgtkhtml-2.11.1-4...   166,5 KiB  7,00K/s 00:24 [#######################] 100%
 python2-gtkhtml2-2....     7,4 KiB   660M/s 00:00 [#######################] 100%
 python2-gtkspell-2....     3,7 KiB  14,7K/s 00:00 [#######################] 100%
 gnome-python-extras...   736,0   B  70,2M/s 00:00 [#######################] 100%
:: paketler community deposundan alınıyor...
 python-xlib-0.15rc1...   131,6 KiB  8,90K/s 00:15 [######################
....................................
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Çevrimdışı tarakbumba

    • İleti: 252
Yanıtla #12 : 12 Haziran 2012 - 16:32:59
Dostum, özel iletimde de belirttiğim gibi github üzerinden meric betiğini indirip /usr/bin dizinine kopyalarsan sorun kalmadığını göreceksin, sorun çeviriler ile ilgili bir hatadan (bug) kaynaklanıyordu. Bunu düzelttim. Deneyebilir misin? Bende sorun yok çünkü...
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Yanıtla #13 : 12 Haziran 2012 - 17:04:10
Ben de öyle yaptımdı zaten ama sonuç yukarıdaki gibi yine.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Çevrimdışı cumali

  • Administrator
  • *****
    • İleti: 2.228
Yanıtla #14 : 13 Haziran 2012 - 00:21:54
Yeniden dene derim. Bir örnek daha vereyim. Bugün güncellemeleri meric ile aldım.


Kod: [Seç]
[root@Archtrorg cuma]# meric -Syu
:: Paket veritabanları senkronize ediliyor...
 core                     103,7 KiB   141K/s 00:01 [######################] 100%
 extra                   1404,8 KiB   552K/s 00:03 [######################] 100%
 community               1692,8 KiB   572K/s 00:03 [######################] 100%
 archlinuxfr deposu güncel
:: Sistem güncellemesi başlatılıyor...
paket bağımlılıkları çözümleniyor...
varsa paketler arası çakışmalara bakılıyor...

Hedefler (7): colord-0.1.21-2  dconf-0.12.1-2  libmysqlclient-5.5.25-1
              mysql-5.5.25-1  mysql-clients-5.5.25-1  sqlite-3.7.13-1
              udisks2-1.94.0-2

Toplam İndirme Boyutu:    13,60 MiB
Toplam Kaplayacağı Alan:   84,99 MiB
Net Güncelleme Boyutu:       -41,83 MiB

Kuruluma onay veriyor musunuz? [E/h]
:: paketler extra deposundan alınıyor...
 sqlite-3.7.13-1-i686     406,1 KiB   297K/s 00:01 [######################] 100%
 colord-0.1.21-2-i686     190,0 KiB   200K/s 00:01 [######################] 100%
 dconf-0.12.1-2-i686      106,4 KiB   142K/s 00:01 [######################] 100%
 libmysqlclient-5.5....     3,0 MiB   674K/s 00:05 [######################] 100%
 mysql-clients-5.5.2...   838,7 KiB   450K/s 00:02 [######################] 100%
 mysql-5.5.25-1-i686        8,7 MiB   765K/s 00:12 [######################] 100%
 udisks2-1.94.0-2-i686    324,9 KiB   249K/s 00:01 [######################] 100%
(7/7) paket bütünlüğü kontrol ediliyor             [######################] 100%
(7/7) paket dosyaları yükleniyor                   [######################] 100%
(7/7) dosya çakışmaları kontrol ediliyor           [######################] 100%
(7/7) disk alanı kontrol ediliyor                  [######################] 100%
(1/7) güncelleniyor sqlite                         [######################] 100%
(2/7) güncelleniyor colord                         [######################] 100%
(3/7) güncelleniyor dconf                          [######################] 100%
(4/7) güncelleniyor libmysqlclient                 [######################] 100%
(5/7) güncelleniyor mysql-clients                  [######################] 100%
(6/7) güncelleniyor mysql                          [######################] 100%
(7/7) güncelleniyor udisks2                        [######################] 100%
:: Aur veritabanı güncelleniyor...
 aur                                        18  18 [######################]100%
:: Tam Aur yükseltmesi başlatılıyor...
 yerel veritabanı güncel
[root@Archtrorg cuma]#
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Çevrimdışı hsngrms

    • İleti: 1.707
Yanıtla #15 : 13 Haziran 2012 - 01:10:04
@YFDogan, kullandığın dağıtımda packer uygulaması yönetici olmasan dahi yönetici işlemleri gerçekleştirebilmek üzere düzenlenmiştir. Aynı şeyi Meriç'ten beklemen için Meriç'te bu düzenlemeyi yapman lazım. Eğer Meriç'i yönetici olarak açarsan sorunsuz çalışacaktır, packer ne yapıyorsa aynılarını yapacaktır.



İster
Kod: [Seç]
$ su
# meric

İster
Kod: [Seç]
$ sudo meric

Tercih senin.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



Çevrimdışı tarakbumba

    • İleti: 252
Yanıtla #16 : 13 Haziran 2012 - 02:03:15
Meriç, 1.1 sürümüne güncellendi. Çok fazla değişiklik mevcut:

  • Derlenen paketleri imzalama seçeneği eklendi. (--sign)

    • İndirilen tar arşivini makepkg.conf dosyasında etkinleştireceğiniz SRCPKGDEST' değerini alan dizine kopyalama özelliği eklendi. (--keeptar)

    • Yerel bir PKGBUILD betiğinde tüm bağımlılıkları kurarak paket derleme özelliği eklendi. (-U) Bu özellik ile bir paketi derlemek için 'makepkg' yerine 'meric -U' kullanılması yeterli.

    • Bash kabuğu ve zsh kabuğu kullananlar için TAB ile komut tamamlama (bash-completion) özelliği eklendi.

    • Sadece AUR üzerinde işlemler yapmak için gerekli "--auronly" anahtarına ek olarak "-a" anahtarı kullanma yeteneği eklendi. Yani "meric -Ss --auronly" şeklindeki kullanım yerine "meric -Ssa" biçiminde kullanım da yapılabiliyor.

    • Bir çok hata giderildi ve kod daha derli toplu hale getirilmeye çalışıldı.


    Arkadaşlar, meriç' in yeni sürümünü yine AUR üzerinden indirebilirsiniz. Önceden kurulu olan arkadaşlarım *mutlaka* yeni sürüme güncellesinler.  (AUR üzerindeki paket güncel git sürümüdür. - her sürümde yeni PKGBUILD oluşturmaya üşeniyorum. :) )



    YFDoğan, bahsettiğin sorunu giderdiğimi düşünüyorum. Bende de ilk başta meydana gelen sorun geribildirimin üzerine yaptığım değişikliklerle ortadan kalktı.  Lütfen bu sürümün paketini AUR üzerinden kurup deneyebilir misin?
  • « Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



    Yanıtla #17 : 13 Haziran 2012 - 09:13:48
    Üstad,ne nvidia ile ne nouveau ile dizüstünün sıcaklığını 70 derece altına düşüremedim. 85 dereceyi gördü makina. Kaldırdım Bridge Linux u . Chakra üzerindeyim şimdi. Chakra da da kullanılabiliyorsa hemen deneyebilirim.
    « Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



    Çevrimdışı hsngrms

      • İleti: 1.707
    Yanıtla #18 : 02 Ağustos 2012 - 12:14:31
    AUR güncellemeleri için meric -Su seçeneğini artık kullanamıyorum, "... seçeneği geçerli değil" hatasını veriyor. Şu şekilde oluyor meric -Syu --auronly fakat böyle yazmak işime gelmiyor '-Su' ne kadar da basitti. Packer hala -Su ile AUR güncellemesi almakta.



    Düzenleme: yukarıdaki sürüm duyurusunu okuduktan sonra meric -Syua ile AUR güncellemelerini kısa yoldan alabildim fakat merak ettiğim konu neden artık -Su'nun işe yaramıyor olması.
    « Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



    Çevrimdışı Aequitas

      • İleti: 209
    Yanıtla #19 : 02 Ağustos 2012 - 18:36:25
    @Tarakbumba, ben de birkaç haftadır merici kullanıyorum. Sistem güncellemelerini de meric -Syu ile alıyorum. Önceden kuranlar mutlaka yeni sürümünü yüklesinler demişsin. Packer ile merici tekrar kurmaya çalıştığımda mericin zaten son sürümde olduğunu söylüyor. Doğru mudur yoksa yine de elle kurulum yapmam gerekir mi.

    Bu arada eline sağlık, gayet kararlı ve sağlıklı bir şekilde çalışıyor. Sadece kurulu paketlerin özelliklerine filan bakamıyorum, -Qq -Qi vs gibi uzantılar sanırım mericte tanımlı değil. Onun haricinde çok beğendiğimi belirtmeliyim. Herhangi bir sorun yaşatmadı şimdiye kadar.
    « Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

    https://linuxcounter.net/cert/548893.png" alt="" class="bbc_img" />



    Öfkelenmeyin.

               Hz. Muhammed (sav)


    Çevrimdışı tarakbumba

      • İleti: 252
    Yanıtla #20 : 03 Ağustos 2012 - 20:41:02
    Alıntı yapılan: "Aequitas"
    @Tarakbumba, ben de birkaç haftadır merici kullanıyorum. Sistem güncellemelerini de meric -Syu ile alıyorum. Önceden kuranlar mutlaka yeni sürümünü yüklesinler demişsin. Packer ile merici tekrar kurmaya çalıştığımda mericin zaten son sürümde olduğunu söylüyor. Doğru mudur yoksa yine de elle kurulum yapmam gerekir mi.

    Bu arada eline sağlık, gayet kararlı ve sağlıklı bir şekilde çalışıyor. Sadece kurulu paketlerin özelliklerine filan bakamıyorum, -Qq -Qi vs gibi uzantılar sanırım mericte tanımlı değil. Onun haricinde çok beğendiğimi belirtmeliyim. Herhangi bir sorun yaşatmadı şimdiye kadar.


    Teşekkür ederim. Meriç betiğini daha fazla karmaşıklaştırmamak ve pacman ile yapılabilecek işlemleri (kendi ihtiyaçlarım dışında  :D ) ikinci kez tekrar etmemek için daha fazla işlev eklemeyi istemedim. Belki fırsat bulursam ne yapabileceğime bakarım. Packer ile aldığınız hata yine packerden kaynaklanıyor. Elle kurulum yapmayı deneyebilirsiniz.


    Alıntı yapılan: "hsngrms"
    AUR güncellemeleri için meric -Su seçeneğini artık kullanamıyorum, "... seçeneği geçerli değil" hatasını veriyor. Şu şekilde oluyor meric -Syu --auronly fakat böyle yazmak işime gelmiyor '-Su' ne kadar da basitti. Packer hala -Su ile AUR güncellemesi almakta.



    Düzenleme: yukarıdaki sürüm duyurusunu okuduktan sonra meric -Syua ile AUR güncellemelerini kısa yoldan alabildim fakat merak ettiğim konu neden artık -Su'nun işe yaramıyor olması.


    Hasan, emin misin? Bende bu sorun yok. Yine de her ihtimale karşı bir bakayım.
    « Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



    Çevrimdışı hsngrms

      • İleti: 1.707
    Yanıtla #21 : 03 Ağustos 2012 - 21:08:40
    Kod: [Seç]
    [arrow@arrow ~]$ meric -Su
    HATA : Meriç: `-Su' seçeneği geçerli değil.


    Hem packerı hem merici deneme amaçlı kaldırıp sıfırdan elle kurmuştum makepkg ve pacman yardımıyla. O zamandan beri bu seçenek yukarıdaki sonucu veriyor.
    « Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



    Çevrimdışı boraalper4

      • İleti: 65
    Yanıtla #22 : 10 Eylül 2012 - 21:07:49
    Merhaba,



    Meriç ve Packer ile minecraft kuramıyorum. Ancak Yaourt ile sorunsuz kuruluyor. Çıktılar aşağıda.



    Meriç:
    Kod: [Seç]

    [boraalper4@audi ~]$ meric -S minecraft
    ERROR : Dependency `' of `-S' does not exist.


    Packer:
    Kod: [Seç]

    [boraalper4@audi ~]$ packer -S minecraft
    Dependency `java-runtime' of `minecraft' does not exist.


    Yaourt:

    https://raw.github.com/gist/3692598/f919599df9484d42c34c33ba335ef2652caa44bd/gistfile1.txt
    « Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



    Çevrimdışı cumali

    • Administrator
    • *****
      • İleti: 2.228
    Yanıtla #23 : 10 Eylül 2012 - 21:15:04
    Önce Aurdan meric paketini kurun. http://https://aur.archlinux.org/packages.php?ID=59946 Sonrada
    Kod: [Seç]
    meric -S minecraft

    komutunu uygulayın.
    Kod: [Seç]
    [cuma@cuma ~]$ meric -S minecraft

    Aur Hedefleri    (1): minecraft
    Pacman Hedefleri (1): openal

    Kuruluma devam edilsin mi? [E/h]
    « Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »



    Çevrimdışı hsngrms

      • İleti: 1.707
    Yanıtla #24 : 10 Eylül 2012 - 21:29:36
    Bende java zaten kurulu olduğu için sorun çıkmadı. Java-runtime diye paket zaten yok benim merak ettiğim yaort bunu nasıl buluyor. :) Ayrıca Java 6'yı yüklemiş fakat sorması lazımdı çünkü Java 7 ile de çalışıyor. Bu arada oyun ücretliymiş :)


    Alıntı
    This is the full version of the game, you need a valid account to play it.

    >>> To create an account, connect to http://www.minecraft.net/ and buy the full

    >>> game for 19.95€. You should then be able to log in and play.

    Az para da değil Desura'da ne oyunlar alınır bu fiyata :)
    « Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »